<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateBoardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'bg_color' => 'required|string',
            'text_color' => 'required|string',
            'title' => 'required|string|max:255',
            'description' => 'nullable|string',
            'user_ids' => 'required|array|exists:users,id',
        ];
    }
}
